
@misc{_microservicios_2015,
	title = {Microservicios, arquitectura de información para un desarrollo ágil y eficiente},
	url = {https://platzi.com/blog/arquitectura-microservicios/},
	abstract = {Hay enormes beneficios derivados de trabajar con una arquitectura de microservicios; ese el camino que estamos tomando aquí en Platzi, por esta razón les queremos compartir esta experiencia, que es el futuro de la web. Los microservicios han cambiado la forma en que se estructura la arquitectura de una aplicación web, haciéndola más estable, ágil …},
	urldate = {2016-02-17},
	journal = {Platzi Blog},
	month = apr,
	year = {2015},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\7W5DZ5P4\\arquitectura-microservicios.html:text/html}
}

@article{cabello_generic_2014,
	title = {A {Generic} {Process} for the {Design} and {Generation} of {Software} {Product} {Line} {Skeleton} {Architectures}},
	volume = {24},
	issn = {02181940},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=101514951&lang=es&site=ehost-live},
	doi = {10.1142/S0218194014500405},
	abstract = {This paper presents a process, a method and a framework for developing families of software systems in a domain. The process is generic (domain-independent) and produces skeleton software architectures as Software Product Lines. The genericity is supported by the metamodels (abstract languages) that are defined in order to describe the Reference Architecture (structure view, behavior view and variability view) of the system domain. A standardized Production Plan takes the Reference Architecture as input and produces the equivalent Skeleton Software Architecture (component-connector view) using a Feature Model configuration (describing the system to be) as output. This Skeleton Software Architecture includes the structure and behavior of the target software product. A framework has been implemented to support the approach. The process is applied, as an example, to the Diagnostic Expert Systems domain. Our approach is based on Model-Driven Engineering techniques and the Software Product Line paradigm. A domain analysis must be done in order to build the Reference Architecture.},
	number = {9},
	urldate = {2016-07-11},
	journal = {International Journal of Software Engineering \& Knowledge Engineering},
	author = {Cabello, Maria Eugenia and Ramos, Isidro and Santana, Oscar Alberto and Beristain, Saúl Iván},
	month = nov,
	year = {2014},
	keywords = {DIAGNOSTIC expert systems, DOMAIN (Mathematics), model-driven engineering, PRODUCTION planning, reference software architectures, Software architecture, SOFTWARE productivity, SOFTWARE product line engineering, Software product lines},
	pages = {1301--1335},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\HJTDNCCP\\Cabello et al. - 2014 - A Generic Process for the Design and Generation of.pdf:application/pdf}
}

@article{tarzey_what_2016,
	title = {What {Are} {Containers} and {Microservices}?},
	issn = {00104787},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=113047319&lang=es&site=ehost-live},
	abstract = {The article explores on effectiveness of deployable modules in building agile applications for containers and microservices. Information about the concept of containerisation which have operating systems (OS)-level virtualisation and microservice from the evolution of the service-oriented architecture (SOA), is provided. Also emphasized is the deployment of multiple containers to create software application images.},
	urldate = {2016-07-11},
	journal = {Computer Weekly},
	author = {Tarzey, Bob},
	month = feb,
	year = {2016},
	keywords = {COMPUTER multitasking, COMPUTER software development, OPERATING systems (Computers), SERVICE-oriented architecture (Computer science), Software architecture},
	pages = {15--19},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\RUUB4VDN\\Tarzey - 2016 - What Are Containers and Microservices.pdf:application/pdf}
}

@misc{_arquitecturas_2015,
	title = {Arquitecturas de microservicios: {Accounting} y {Transaccionalidad}},
	shorttitle = {Arquitecturas de microservicios},
	url = {http://blog.gfi.es/arquitecturas-de-microservicios-accounting-y-transaccionalidad/},
	abstract = {Estudio de dos de los principales problemas de las arquitecturas de microservicios: el accounting y la transaccionalidad, así como sus posibles soluciones.},
	urldate = {2016-02-18},
	journal = {GFI blog},
	month = dec,
	year = {2015},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\2HKWKHGV\\2015 - Arquitecturas de microservicios Accounting y Tran.html:text/html}
}

@article{bradbury_microservices:_2016,
	title = {Microservices: {Small} {Parts} with {Big} {Advantages}},
	issn = {00104787},
	shorttitle = {Microservices},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=113266692&lang=es&site=ehost-live},
	abstract = {The article discusses the evolution of the microservices concept in the information technology industry of Great Britain. The interest of firms of microservices because they can bring speed and agility and encapsulate relatively small business functions is outlined. Kamesh Pemmaraju, vice-president of product marketing at computer software company Mirantis Inc., notes the potential of microservices to be built in any language and any stack, as long as the boundaries can be defined.},
	urldate = {2016-07-16},
	journal = {Computer Weekly},
	author = {Bradbury, Danny},
	month = feb,
	year = {2016},
	keywords = {BUSINESS models, INFORMATION technology industry, MIRANTIS Inc., PEMMARAJU, Kamesh, SMALL business},
	pages = {17--20},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\WT7XXQ94\\Bradbury - 2016 - Microservices Small Parts with Big Advantages.pdf:application/pdf}
}

@book{wolff_microservices:_2016,
	title = {Microservices: {Flexible} {Software} {Architectures}},
	isbn = {978-1-5233-6125-0},
	url = {https://books.google.com.ec/books?id=X7YzjwEACAAJ},
	publisher = {CreateSpace Independent Publishing Platform},
	author = {Wolff, E.},
	year = {2016}
}

@misc{_introducing_????,
	title = {Introducing ‘{Gizmo}’, a {Golang}-based {Microservices} {Toolkit} from {The} {New} {York} {Times} {Development} {Team}},
	url = {http://www.infoq.com/news/2016/01/gizmo-microservices-toolkit?utm_campaign=rightbar_v2&utm_source=infoq&utm_medium=news_link&utm_content=link_text},
	abstract = {The New York Times development team have released ‘Gizmo’, an open source Golang-based microservices toolkit, which provides standardised configuration and logging, health check and metric endpoints with configurable strategies, and basic interfaces to define service expectations and vocabulary.},
	urldate = {2016-02-19},
	journal = {InfoQ},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\IIE9G4EE\\gizmo-microservices-toolkit.html:text/html}
}

@article{thones_microservices_2015,
	title = {Microservices},
	volume = {32},
	issn = {07407459},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=100872116&lang=es&site=ehost-live},
	doi = {10.1109/MS.2015.11},
	abstract = {In this excerpt from Software Engineering Radio, Johannes Thönes talks with James Lewis, principal consultant at ThoughtWorks, about microservices. They discuss microservices' recent popularity, architectural styles, deployment, size, technical decisions, and consumer-driven contracts. They also compare microservices to service-oriented architecture and wrap up the episode by talking about key figures in the microservice community and standing on the shoulders of giants. The Web extra at http://www.se-radio.net/2014/10/episode-213-james-lewis-on-microservices is an audio recording of Tobias Kaatz speaking with James Lewis, principal consultant at ThoughtWorks, about microservices. They discuss microservices' recent popularity, architectural styles, deployment, size, technical decisions, and consumer-driven contracts. They also compare microservices to service-oriented architecture and wrap up the episode by talking about key figures in the microservice community and standing on the shoulders of giants.},
	number = {1},
	urldate = {2016-07-11},
	journal = {IEEE Software},
	author = {Thones, Johannes},
	year = {2015},
	keywords = {architecture, enterprise service bus, http, INFORMATION technology, INTERNET of things, Interviews, LEWIS, James, microservice, SE Radio, Service oriented architecture, Service-oriented architecture, SERVICE-oriented architecture (Computer science), Software architecture, Software engineering},
	pages = {116--116},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\X4SCJIQJ\\Thones - 2015 - Microservices.pdf:application/pdf}
}

@misc{javier_domingo_arquitectura_2016,
	title = {Arquitectura orientada a {Microservicios}, imprescindible para un {DevOPS}},
	url = {http://blog.ackstorm.com/arquitectura-orientada-microservicios-devops},
	author = {{JAVIER DOMINGO}},
	month = jan,
	year = {2016}
}

@misc{_arquitectura_????,
	title = {Arquitectura de microservicios con {REST}, {Gradle} y {Spring} {Boot} « {Albert} {Coronado}},
	url = {http://www.albertcoronado.com/2015/12/04/arquitectura-de-microservicios-con-rest-gradle-y-spring-boot/},
	abstract = {Formación, consultoría y desarrollo boot, Gradle, J2EE, javaEE, microservicios, rest, spring},
	urldate = {2016-02-18},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\UNGPH5G5\\Arquitectura de microservicios con REST, Gradle y .html:text/html}
}

@article{szwed_soaroad:_2014,
	title = {{SOAROAD}: {An} {Ontology} of {Architectural} {Decisions} {Supporting} {Assessment} of {Service} {Oriented} {Architectures}},
	volume = {38},
	issn = {03505596},
	shorttitle = {{SOAROAD}},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=95947262&lang=es&site=ehost-live},
	abstract = {Enterprise architecture (EA) management has become a widely discussed approach in both industry and academia due to the inefficiency of current IT architectures to cope with rapid changes in business environments. On the other hand Service Oriented Architecture (SOA) is widely accepted as a state of the art approach to the design and implementation of enterprise software. However software design and development according to SOA paradigm is a complex task, often integrating various platforms, technologies, products and design patterns. Hence, it arises a problem of early evaluation of a software architecture to detect design flaws that might compromise expected system qualities. Decisions related to software architecture have a great impact on the business value of a software product under development and influence the software company competitiveness. Usually, a software architecture is developed by a company team, whose experience is limited to narrow set of solutions and technologies. This is a motivation for developing a methodology for the assessment of architectural solution that can be performed in more independent way. Such assessment requires extensive knowledge gathering information on various types of architectural decisions, their relations and influences on quality attributes. In this paper SOAROAD (SOA Related Ontology of Architectural Decisions) is described, which was developed to support the evaluation of architectures of information systems based on SOA approach. The main goal of the ontology is to provide constructs for documenting architecture. However, it is designed to support future reasoning about architecture quality and fulfilling the non functional system requirements such as scalability, ease of maintenance, reuse of software components etc. The last important reason is building a common knowledge base. When building the ontology Architecture Tradeoff Analysis Method (ATAM) was adopted which was chosen as a reference methodology of architecture evaluation.},
	number = {1},
	urldate = {2016-07-11},
	journal = {Informatica (03505596)},
	author = {Szwed, Piotr and Skrzy´nski, Pawel and Rogus, Grzegorz and Werewka, Jan},
	month = mar,
	year = {2014},
	keywords = {architecture assessment, architecture evaluation, ATAM, DECISION support systems, enterprise architecture, INFORMATION technology, ONTOLOGY, PROBLEM solving, SERVICE-oriented architecture (Computer science), SOA, Software architecture},
	pages = {31--42},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\DWXQVZ8E\\Szwed et al. - 2014 - SOAROAD An Ontology of Architectural Decisions Su.pdf:application/pdf}
}

@misc{_microservices_2015,
	title = {Microservices at {Netflix}: {Lessons} for {Architectural} {Design}},
	shorttitle = {Microservices at {Netflix}},
	url = {https://www.nginx.com/blog/microservices-at-netflix-architectural-best-practices/},
	abstract = {Learn design principles and best practices for microservices architecture from Adrian Cockcroft, former lead Cloud Architect at Netflix},
	urldate = {2016-02-19},
	journal = {NGINX},
	month = feb,
	year = {2015},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\FKK4MKDJ\\microservices-at-netflix-architectural-best-practices.html:text/html}
}

@misc{_cuatro_2015,
	title = {Cuatro razones por las que usted necesita una arquitectura basada en microservicios},
	url = {http://www.telesemana.com/blog/2015/12/07/cuatro-razones-por-las-que-usted-necesita-una-arquitectura-basada-en-microservicios/},
	abstract = {A pesar de que el tema de los microservicios basados en contenedores parece haberse convertido, de la noche a la mañana, en un tema de gran actualidad dentro del entorno de las redes y las telecomu…},
	urldate = {2016-02-18},
	journal = {Telesemana},
	month = dec,
	year = {2015},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\3QQ4WXIP\\2015 - Cuatro razones por las que usted necesita una arqu.html:text/html}
}

@misc{dice_microservicios_2015,
	title = {Microservicios y {ESB}, ¿amigos o enemigos?},
	url = {http://blog.gfi.es/microservicios-y-esb-amigos-o-enemigos/},
	abstract = {En este artículo se describe el patrón SOA de microservicios y cómo dicho patrón mejora el "time to market" de una empresa y su capacidad de continuidad de negocio.},
	urldate = {2016-02-18},
	journal = {GFI blog},
	author = {dice, Albert},
	month = nov,
	year = {2015},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\FSPSQQEB\\dice - 2015 - Microservicios y ESB, ¿amigos o enemigos.html:text/html}
}

@article{anderson_docker_2015,
	title = {Docker},
	volume = {32},
	issn = {07407459},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=102288020&lang=es&site=ehost-live},
	doi = {10.1109/MS.2015.62},
	abstract = {In episode 217 of Software Engineering Radio, host Charles Anderson talks with James Turnbull, a software developer and security specialist who's vice president of services at Docker. Lightweight Docker containers are rapidly becoming a tool for deploying microservice-based architectures.},
	number = {3},
	urldate = {2016-07-11},
	journal = {IEEE Software},
	author = {Anderson, Charles},
	month = may,
	year = {2015},
	keywords = {ANDERSON, Charles, Computer architecture, COMPUTER security, COMPUTER software developers, Docker, Docker containers, James Turnbull, microservices, SE Radio, Software engineering, Software Engineering Radio},
	pages = {102--c3},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\UX9EKHT5\\Anderson - 2015 - Docker.pdf:application/pdf}
}

@article{pournaras_overlay_2015,
	title = {Overlay {Service} {Computing} - {Modular} and {Reconfigurable} {Collective} {Adaptive} {Systems}},
	volume = {16},
	issn = {18951767},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=109299844&lang=es&site=ehost-live},
	doi = {10.12694/scpe.v16i3.1100},
	abstract = {Distributed software systems that determine virtual communication structures on top of physical networks, the overlay networks, are a well-established approach to build various applications of collective adaptive systems such as peer-to- peer file sharing, multimedia multi-casting, aggregation in distributed databases or routing in wireless sensor networks. Despite the significance of this approach to apply collective adaptive systems in practice, applications based on overlay networks often result in a complex integration of the operational logic with topological management. This approach results in low abstraction, modularity and reconfigurability of applications that require one or more overlay networks to operate. This paper challenges this design approach by introducing the notion of overlay services that provide generic application capabilities of a broad application scope enabled by one or more overlay networks. This paper contributes the multi-level conceptual architecture of ASMA that structures and guides the realisation of overlay services by using only a few lines of high-level algorithmic expressions. Two overlay services realised according to ASMA provide a proof-of-concept for the high abstraction, modularity and reconfigurability achieved in collective adaptive systems based on overlay networks.},
	number = {3},
	urldate = {2016-07-11},
	journal = {Scalable Computing: Practice \& Experience},
	author = {Pournaras, Evangelos},
	month = sep,
	year = {2015},
	keywords = {abstraction, ADAPTIVE control systems, architecture, DISTRIBUTED computing, distributed system, middleware, modularity, overlay network, overlay service, reconfig- urability, VIRTUAL communications},
	pages = {249--269},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\G5XU5RJC\\Pournaras - 2015 - Overlay Service Computing - Modular and Reconfigur.pdf:application/pdf}
}

@book{kuchana_software_2004,
	title = {Software architecture design patterns in {Java}},
	publisher = {CRC Press},
	author = {Kuchana, Partha},
	year = {2004}
}

@misc{_porque_????,
	title = {Porqué el 2015 va a ser el año de los micro servicios},
	url = {http://cioperu.pe/articulo/17753/porque-el-2015-va-a-ser-el-ano-de-los-micro-servicios/},
	abstract = {La arquitectura de micro servicios apareció en el 2014 como una manera de acelerar el desarrollo de las aplicaciones móviles y web},
	urldate = {2016-02-19},
	journal = {CIO Perú},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\ZSSHPM8C\\porque-el-2015-va-a-ser-el-ano-de-los-micro-servicios.html:text/html}
}

@misc{tejeda_breve_2015,
	title = {Una breve historia sobre los microservicios},
	url = {https://medium.com/@matedeilo/una-breve-historia-sobre-los-microservicios-774ac516f56e},
	abstract = {Antes de empezar a explicar sobre los microservicios quisiera dar un poco de contexto en el mundo donde emergió Microservices.},
	urldate = {2016-02-17},
	journal = {Medium},
	author = {Tejeda, Manuel},
	month = aug,
	year = {2015},
	file = {Medium Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\SPMCPSCX\\una-breve-historia-sobre-los-microservicios-774ac516f56e.html:text/html}
}

@article{heffner_divide_2016,
	title = {Divide and {Conquer} in {Software} {Architecture}},
	issn = {00104787},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=112832050&lang=es&site=ehost-live},
	abstract = {The article focuses on the alteration in software architectures to meet the challenge of continuous business innovation. Topics discussed include companies involved in the process such as Amazon, Google, PayPal; challenges of technological innovations such as agile development and application programming interfaces (APIs), and advantages of software architecture style, microservices, such as huge in-memory database.},
	urldate = {2016-07-11},
	journal = {Computer Weekly},
	author = {Heffner, Randy},
	month = feb,
	year = {2016},
	keywords = {AGILE software development, AMAZON.COM Inc., APPLICATION program interfaces (Computer software), Software architecture, TECHNOLOGICAL innovations},
	pages = {15--17},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\DCD2HWVG\\Heffner - 2016 - Divide and Conquer in Software Architecture.pdf:application/pdf}
}

@techreport{balalaie_microservices_2015,
	title = {Microservices migration patterns},
	institution = {Tech. Rep. TR-SUTCE-ASE-2015-01, Automated Software Engineering Group, Sharif University of Technology, Tehran, Iran},
	author = {Balalaie, Armin and Heydarnoori, Abbas and Jamshidi, Pooyan},
	year = {2015},
	file = {report.pdf:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\WRNUKMSD\\report.pdf:application/pdf}
}

@article{nord_making_2012,
	title = {Making {Architecture} {Visible} to {Improve} {Flow} {Management} in {Lean} {Software} {Development}},
	volume = {29},
	issn = {07407459},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=79465287&lang=es&site=ehost-live},
	doi = {10.1109/MS.2012.109},
	abstract = {Lean practices use the principle of Little's law to improve the flow of value to the end user by eliminating sources of waste from a software development process. Little's law defines throughput as a ratio of work in process and cycle time. Increasing throughput (or productivity) requires continuously improving (that is, decreasing) cycle time while ensuring that the work-in-process limit doesn't exceed the capacity available to process the work. This article shares experiences regarding the role architecture plays in lean software management practices. Release plans that give as much emphasis to architecturally significant tasks as to feature-based high-priority functionality can achieve better outcomes by avoiding conditions that lead to wasted time and effort. The application of lean software development practices can improve with better practical guidance on how to manage architecture flow as well as feature flow.},
	number = {5},
	urldate = {2016-07-11},
	journal = {IEEE Software},
	author = {Nord, Robert L. and Ozkaya, Ipek and Sangwan, Raghvinder S.},
	month = sep,
	year = {2012},
	keywords = {Agile manufacturing, Computer architecture, COMPUTER programming -- Management, COMPUTER software development, COMPUTER software development -- Management, COMPUTER software -- Quality control, END users (Information technology), flow management, lean software management, Productivity, Product life cycle management, Programming, release planning, Software architecture, software engineering management, Software management, waste},
	pages = {33--39},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\HBFMJUZF\\Nord et al. - 2012 - Making Architecture Visible to Improve Flow Manage.pdf:application/pdf}
}

@misc{_divide_????,
	title = {Divide y {Vencerás}: introducción a los {Microservicios}},
	shorttitle = {Divide y {Vencerás}},
	url = {http://es.slideshare.net/ThoughtWorks/microservicios},
	urldate = {2016-02-17},
	file = {microservicios-150220014715-conversion-gate01.pdf:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\XBZ9QC2U\\microservicios-150220014715-conversion-gate01.pdf:application/pdf}
}

@misc{_microservices_????,
	title = {Microservices},
	url = {http://martinfowler.com/articles/microservices.html},
	abstract = {An in-depth description of the microservice style of architecture. Applications designed as suites of independently deployable services, governed in a decentralized manner.},
	urldate = {2016-02-19},
	journal = {martinfowler.com},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\V96ZQ2TV\\microservices.html:text/html}
}

@misc{_autoscout24s_????,
	title = {{AutoScout}24’s {Journey} to {Microservices}: {Christian} {Deger} on {Transformation}, {Principles} and {Technology}},
	shorttitle = {{AutoScout}24’s {Journey} to {Microservices}},
	url = {http://www.infoq.com/news/2016/02/autoscout-microservices?utm_campaign=rightbar_v2&utm_source=infoq&utm_medium=news_link&utm_content=link_text},
	abstract = {At the Dublin Microservices User Group, Christian Deger presented “Highway to Heaven”, the AutoScout24 journey from deploying code into a monolithic application using a traditional IT development process, to utilising a microservice architecture with cross-functional teams. This technical and organisation transformation enabled the business to react more rapidly to changing market conditions.},
	urldate = {2016-02-19},
	journal = {InfoQ},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\7B3SRR8T\\autoscout-microservices.html:text/html}
}

@misc{rodriguez_trabajar_2014,
	title = {Trabajar con microservicios: evitando la frustración de las (enormes) aplicaciones monolíticas},
	shorttitle = {Trabajar con microservicios},
	url = {http://www.genbetadev.com/paradigmas-de-programacion/trabajar-con-microservicios-evitando-la-frustracion-de-las-enormes-aplicaciones-monoliticas},
	abstract = {¿Qué pasa cuando tu aplicación corporativa no para de engordar? Vamos echándole encima más y más servicios. Llega un punto en que parece que ...},
	urldate = {2016-02-18},
	journal = {Genbeta Dev},
	author = {Rodríguez, Txema},
	month = nov,
	year = {2014},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\WH6A7V63\\Rodríguez - 2014 - Trabajar con microservicios evitando la frustraci.html:text/html}
}

@misc{_microservicios_????,
	title = {Microservicios - {Parte} {I}},
	url = {http://sergiomaurenzi.blogspot.com.ar/2015/04/microservicios-parte-i.html},
	urldate = {2016-02-18},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\GTU6E8RP\\Microservicios - Parte I.html:text/html}
}

@misc{_scaling_????,
	title = {Scaling {Gilt}: from {Monolithic} {Ruby} {Application} to {Distributed} {Scala} {Micro}-{Services} {Architecture}},
	shorttitle = {Scaling {Gilt}},
	url = {http://www.infoq.com/presentations/scale-gilt},
	abstract = {Yoni Goldberg describes some of the technological innovations that have helped Gilt to reach its current size, and highlight some of the core challenges that the company's engineering team continues to face. He also discusses what every tech team needs to consider and address before heading down the path of building a first-class micro-services architecture.},
	urldate = {2016-02-19},
	journal = {InfoQ},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\65P6DXDA\\scale-gilt.html:text/html}
}

@misc{_implementando_????,
	title = {Implementando una {Arquitectura} de {Microservicios}},
	url = {http://es.slideshare.net/mostofreddy/microservicios-49384631?next_slideshow=1},
	urldate = {2016-02-17}
}

@book{martin_principles_2003,
	title = {The principles, patterns, and practices of agile software development},
	publisher = {Prentice-Hall},
	author = {Martin, Robert Cecil},
	year = {2003}
}

@article{leungwattanakit_modular_2014,
	title = {Modular {Software} {Model} {Checking} for {Distributed} {Systems}},
	volume = {40},
	issn = {00985589},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=96067286&lang=es&site=ehost-live},
	doi = {10.1109/TSE.2013.49},
	abstract = {Distributed systems are complex, being usually composed of several subsystems running in parallel. Concurrent execution and inter-process communication in these systems are prone to errors that are difficult to detect by traditional testing, which does not cover every possible program execution. Unlike testing, model checking can detect such faults in a concurrent system by exploring every possible state of the system. However, most model-checking techniques require that a system be described in a modeling language. Although this simplifies verification, faults may be introduced in the implementation. Recently, some model checkers verify program code at runtime but tend to be limited to stand-alone programs. This paper proposes cache-based model checking, which relaxes this limitation to some extent by verifying one process at a time and running other processes in another execution environment. This approach has been implemented as an extension of Java PathFinder, a Java model checker. It is a scalable and promising technique to handle distributed systems. To support a larger class of distributed systems, a checkpointing tool is also integrated into the verification system. Experimental results on various distributed systems show the capability and scalability of cache-based model checking.},
	number = {5},
	urldate = {2016-07-11},
	journal = {IEEE Transactions on Software Engineering},
	author = {Leungwattanakit, Watcharin and Artho, Cyrille and Hagiya, Masami and Tanabe, Yoshinori and Yamamoto, Mitsuharu and Takahashi, Koichi},
	month = may,
	year = {2014},
	keywords = {Checkpointing, COMPUTER software -- Verification, DISTRIBUTED computing -- Research, distributed systems, java, JAVA (Computer program language), Message systems, Model checking, MODULAR programming -- Research, PROGRAMMING languages (Electronic computers), Scalability, Software, Software model checking, software verification, Synchronization},
	pages = {483--501},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\SJ273H7B\\Leungwattanakit et al. - 2014 - Modular Software Model Checking for Distributed Sy.pdf:application/pdf}
}

@misc{_microservicios_????-1,
	title = {Microservicios - {Parte} {II} {\textbar} {Tecnologia} y {Management}},
	url = {http://sergiomaurenzi.blogspot.com/2015/04/microservicios-parte-ii.html},
	urldate = {2016-02-18},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\TZTHRG5I\\microservicios-parte-ii.html:text/html}
}

@misc{_message-driven_????,
	title = {Message-driven {Microservices} in the {Cloud}},
	url = {http://www.infoq.com/presentations/message-driven-microservices-cloud?utm_source=infoq&utm_medium=related_content_link&utm_campaign=relatedContent_news_clk},
	abstract = {Mark Fisher and Dave Syer perform a series of live demos on different platforms ranging from local to a remote Cloud to show the simplicity of the Spring Cloud Stream developer experience. They also dive into the details of what's happening behind the scenes.},
	urldate = {2016-02-19},
	journal = {InfoQ},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\AM9HKIMU\\message-driven-microservices-cloud.html:text/html}
}

@article{balalaie_migrating_2015,
	title = {Migrating to {Cloud}-{Native} {Architectures} {Using} {Microservices}: {An} {Experience} {Report}},
	shorttitle = {Migrating to {Cloud}-{Native} {Architectures} {Using} {Microservices}},
	url = {http://arxiv.org/abs/1507.08217},
	abstract = {Migration to the cloud has been a popular topic in industry and academia in recent years. Despite many benefits that the cloud presents, such as high availability and scalability, most of the on-premise application architectures are not ready to fully exploit the benefits of this environment, and adapting them to this environment is a non-trivial task. Microservices have appeared recently as novel architectural styles that are native to the cloud. These cloud-native architectures can facilitate migrating on-premise architectures to fully benefit from the cloud environments because non-functional attributes, like scalability, are inherent in this style. The existing approaches on cloud migration does not mostly consider cloud-native architectures as their first-class citizens. As a result, the final product may not meet its primary drivers for migration. In this paper, we intend to report our experience and lessons learned in an ongoing project on migrating a monolithic on-premise software architecture to microservices. We concluded that microservices is not a one-fit-all solution as it introduces new complexities to the system, and many factors, such as distribution complexities, should be considered before adopting this style. However, if adopted in a context that needs high flexibility in terms of scalability and availability, it can deliver its promised benefits.},
	urldate = {2016-02-24},
	journal = {arXiv:1507.08217 [cs]},
	author = {Balalaie, Armin and Heydarnoori, Abbas and Jamshidi, Pooyan},
	month = jul,
	year = {2015},
	note = {arXiv: 1507.08217},
	keywords = {Computer Science - Distributed, Parallel, and Cluster Computing, Computer Science - Software Engineering},
	file = {arXiv\:1507.08217 PDF:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\E5FUGEDW\\Balalaie et al. - 2015 - Migrating to Cloud-Native Architectures Using Micr.pdf:application/pdf;arXiv.org Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\U7CNQUI3\\1507.html:text/html}
}

@book{sherland_ieee_2000,
	title = {{IEEE} recommended practice for architectural description for software-intensive systems},
	publisher = {New York: Institute of Electrical and Electronics Engineers},
	author = {Sherland, B and Wade, RL and Emery, D and Hilliard, R},
	year = {2000}
}

@misc{tutorialspoint.com_software_????,
	title = {Software {Architecture} and {Design} {Architecture} {Techniques}},
	url = {http://www.tutorialspoint.com/software_architecture_design/architecture_techniques.htm},
	abstract = {Software Architecture and Design Architecture Techniques - Learn Software Architecture and Design concepts in simple and easy steps starting from Introduction, Key Principles, Architecture Models, Object-Oriented Paradigm, Data Flow Architecture, Data-Centered Architecture, Hierarchical Architecture, Interaction-Oriented Architecture, Distributed Architecture, Component-Based Architecture, User Interface, Architecture Techniques.},
	urldate = {2016-02-20},
	journal = {www.tutorialspoint.com},
	author = {tutorialspoint.com},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\576H93IM\\architecture_techniques.html:text/html}
}

@misc{_microservices_????-1,
	title = {Microservices and {SOA}},
	url = {http://www.infoq.com/news/2014/03/microservices-soa},
	abstract = {Over the past year or so we've started to hear about Microservices as potentially new architectural style. Recently Thoughtworks' Martin Fowler and James Lewis wrote an article defining Microservices. However, Steve Jones takes issue with the general theme and much in that article, believing that there is little new here and this is just a Service Oriented Deliver approach.},
	urldate = {2016-02-19},
	journal = {InfoQ},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\KS5NAA7J\\microservices-soa.html:text/html}
}

@article{krill_bea_2006,
	title = {{BEA} {Goes} {Native}},
	volume = {28},
	issn = {01996649},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=22573018&lang=es&site=ehost-live},
	abstract = {The article reports on the announcement made by service oriented architecture software provider BEA concerning its service oriented architecture platform, SOA 360. The product families of the company that cover the platform include Tuxedo, WebLogic and AquaLogic. The platform also features a collaborative tooling environment called WorkSpace 360 and a common software architecture called microServices Architecture. It also allows users to collaborate their various roles as business analysts and enterprise architects.},
	number = {39},
	urldate = {2016-07-11},
	journal = {InfoWorld},
	author = {Krill, Paul},
	month = sep,
	year = {2006},
	keywords = {BEA Systems Inc., COMPUTER systems, ENTERPRISE application integration (Computer systems), INFORMATION technology, Software architecture, SYSTEMS engineering},
	pages = {12--13},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\S3F82QSU\\Krill - 2006 - BEA Goes Native.pdf:application/pdf}
}

@book{stine_migrating_2015,
	title = {Migrating to {Cloud}-{Native} {Application} {Architectures}},
	publisher = {O'Reilly Media Sebastopol},
	author = {Stine, M},
	year = {2015}
}

@misc{_gestion_2013,
	title = {Gestión ágil de proyectos con la metodología {SCRUM}},
	url = {http://blog.gfi.es/gestion-agil-de-proyectos-con-la-metodologia-scrum/},
	abstract = {La gestión de procesos y equipos es una de las partes más complicadas para cualquier empresa. No se trata sólo de recursos. Se requiere conocimiento, buen criterio y tiempo para implementar algo tan importante como la optimización del tiempo, la coordinación del equipo y la asignación de tareas. La falta de planificación conlleva sobrecostes, retrasos en la entrega de proyectos y conflictos con los clientes o bien con otros departamentos. El uso inadecuado de procesos nos lleva a malgastar el tiempo, el dinero y en muchos casos produce una desmotivación en el equipo.},
	urldate = {2016-02-18},
	journal = {GFI blog},
	month = jun,
	year = {2013}
}

@book{sangwan_software_2014,
	title = {Software and systems architecture in action},
	publisher = {CRC Press},
	author = {Sangwan, Raghvinder S},
	year = {2014}
}

@misc{autentiamedia_codemotion_????,
	title = {Codemotion 2014: {Arquitecturas} de microservicios - {Ernesto} {Hernández}},
	shorttitle = {Codemotion 2014},
	url = {https://www.youtube.com/watch?v=BnAXyaAPxuE},
	abstract = {Ernesto Hernández habla en esta edición de Codemotion sobre las Arquitecturas de microservicios},
	urldate = {2016-02-17},
	author = {{AutentiaMedia}},
	keywords = {autentia, codemotion, java, java 8, microservicios}
}

@misc{innovacionactiva_nuevas_2015,
	title = {Nuevas tendencias: contenedores y microservicios},
	shorttitle = {Nuevas tendencias},
	url = {http://innovacionactiva.ieci.es/2015/02/10/nuevas-tendencias-contenedores-y-microservicios/},
	abstract = {Rubén Ruiz Sánchez Hemos visto en los últimos años cómo las tecnologías de virtualización han mejorado bastante los tiempos de respuesta de los departamentos TI para acompañar a los proyectos de ne...},
	urldate = {2016-02-19},
	journal = {innovacionactiva},
	author = {{innovacionactiva}},
	month = feb,
	year = {2015},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\GZXGI3RJ\\nuevas-tendencias-contenedores-y-microservicios.html:text/html}
}

@misc{_how_????,
	title = {How we build microservices at {Karma}},
	url = {https://blog.yourkarma.com/building-microservices-at-karma},
	abstract = {Forget the hype, we're using microservices in production},
	urldate = {2016-02-18},
	journal = {Karma Blog},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\D7BD2NZP\\How we build microservices at Karma.html:text/html}
}

@misc{_monolith_????,
	title = {From a {Monolith} to {Microservices} + {REST}: the {Evolution} of {LinkedIn}'s {Service} {Architecture}},
	shorttitle = {From a {Monolith} to {Microservices} + {REST}},
	url = {http://www.infoq.com/presentations/linkedin-microservices-urn},
	abstract = {Steven Ihde and Karan Parikh discuss about tools and frameworks built in order to help LinkedIn's transition to microservices, including their URN resolution engine and the Rest.li API Hub.},
	urldate = {2016-02-19},
	journal = {InfoQ},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\V4GJUJNM\\linkedin-microservices-urn.html:text/html}
}

@article{janakiram_how_2015,
	title = {How to {Deploy} {Microservices} to {Derive} {Maximum} {Benefit}},
	issn = {00104787},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=101359901&lang=es&site=ehost-live},
	abstract = {The article focuses on the deployment of a microservices architecture for the implementation of systems and services within an organization. Topics discussed include the role of application programming interfaces (API) in microservices communication, factors that influence the adoption of microservices by an organization, and benefits of microservices for developers and system administrators.},
	urldate = {2016-07-11},
	journal = {Computer Weekly},
	author = {Janakiram, M. S. V.},
	month = mar,
	year = {2015},
	keywords = {APPLICATION program interfaces (Computer software), BUSINESS enterprises -- Computer networks, Computer architecture, COMPUTER systems -- Management, SYSTEM administrators},
	pages = {14--16},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\2AF9Q8K7\\Janakiram - 2015 - How to Deploy Microservices to Derive Maximum Bene.pdf:application/pdf}
}

@inproceedings{gadea_reference_2016,
	title = {A reference architecture for real-time microservice {API} consumption},
	isbn = {978-1-4503-4294-0},
	doi = {10.1145/2904111.2904115},
	abstract = {Modern web frameworks and backend-as-a-service providers make it possible for real-time updates to a NoSQL data model to be reflected in the user interfaces of multiple subscribing end-user applications. However, it remains difficult for users to dynamically discover and instantly make use of the data provided by the plethora of REST APIs in existence across various cloud providers today. This paper presents a reference architecture built on the idea of a scalable NoSQL database that allows multiple subscribers to receive instant notifications of database changes through the use of a "livequery". By keeping one WebSocket connection open between each client web browser and an Object Synchronization Server, this paper shows how data from multiple disparate REST APIs can be organized and transmitted to interested clients via the database. An example is given featuring a collaborative rich-text editor that makes use of a Named-Entity Recognition microservice. Copyright © 2016 held by owner/author(s).},
	language = {English},
	author = {Gadea, C. and Trifan, M. and Ionescu, D. and Ionescu, B.},
	year = {2016},
	note = {DOI: 10.1145/2904111.2904115},
	keywords = {Cloud computing, Collaborative editing, Docker, microservices, Named entity recognition, Real-time web},
	file = {SCOPUS Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\4QJKBGK2\\display.html:text/html}
}

@inproceedings{villamizar_evaluating_2015,
	title = {Evaluating the monolithic and the microservice architecture pattern to deploy web applications in the cloud},
	doi = {10.1109/ColumbianCC.2015.7333476},
	abstract = {Cloud computing provides new opportunities to deploy scalable application in an efficient way, allowing enterprise applications to dynamically adjust their computing resources on demand. In this paper we analyze and test the microservice architecture pattern, used during the last years by large Internet companies like Amazon, Netflix and LinkedIn to deploy large applications in the cloud as a set of small services that can be developed, tested, deployed, scaled, operated and upgraded independently, allowing these companies to gain agility, reduce complexity and scale their applications in the cloud in a more efficient way. We present a case study where an enterprise application was developed and deployed in the cloud using a monolithic approach and a microservice architecture using the Play web framework. We show the results of performance tests executed on both applications, and we describe the benefits and challenges that existing enterprises can get and face when they implement microservices in their applications.},
	booktitle = {Computing {Colombian} {Conference} (10CCC), 2015 10th},
	author = {Villamizar, M. and Garces, O. and Castro, H. and Verano, M. and Salamanca, L. and Casallas, R. and Gil, S.},
	month = sep,
	year = {2015},
	keywords = {Cloud computing, cloud computing, Companies, Complexity theory, Computer architecture, continuous delivery, enterprise applications, IaaS, infrastructure as a services, Internet companies, microservice architecture, microservice architecture pattern, microservices, monolithic architecture pattern, PaaS, platform as a service, Play Web framework, scalable applications, Service-oriented architecture, service oriented architectures, SOA, software architecture, software engineering, Web applications},
	pages = {583--590},
	file = {Evaluating the Monolithic and the Microservice Architecture Pattern.pdf:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\89VTGGKZ\\Evaluating the Monolithic and the Microservice Architecture Pattern.pdf:application/pdf;IEEE Xplore Abstract Record:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\5HJ4DN4I\\Villamizar et al. - 2015 - Evaluating the monolithic and the microservice arc.html:text/html}
}

@book{newman_building_2015,
	title = {Building {Microservices}},
	publisher = {O'Reilly Media, Inc.},
	author = {Newman, Sam},
	year = {2015}
}

@article{fowler_microservices_2014,
	title = {Microservices},
	volume = {28},
	journal = {Viittattu},
	author = {Fowler, Martin and Lewis, James},
	year = {2014},
	pages = {2015}
}

@article{malek_extensible_2012,
	title = {An {Extensible} {Framework} for {Improving} a {Distributed} {Software} {System}'s {Deployment} {Architecture}},
	volume = {38},
	issn = {00985589},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=71538638&lang=es&site=ehost-live},
	doi = {10.1109/TSE.2011.3},
	abstract = {A distributed system's allocation of software components to hardware nodes (i.e., deployment architecture) can have a significant impact on its quality of service (QoS). For a given system, there may be many deployment architectures that provide the same functionality, but with different levels of QoS. The parameters that influence the quality of a system's deployment architecture are often not known before the system's initial deployment and may change at runtime. This means that redeployment of the software system may be necessary to improve the system's QoS properties. This paper presents and evaluates a framework aimed at finding the most appropriate deployment architecture for a distributed software system with respect to multiple, possibly conflicting QoS dimensions. The framework supports formal modeling of the problem and provides a set of tailorable algorithms for improving a system's deployment. We have realized the framework on top of a visual deployment architecture modeling and analysis environment. The framework has been evaluated for precision and execution-time complexity on a large number of simulated distributed system scenarios, as well as in the context of two third-party families of distributed applications.},
	number = {1},
	urldate = {2016-07-11},
	journal = {IEEE Transactions on Software Engineering},
	author = {Malek, Sam and Medvidovic, Nenad and Mikic-Rakic, Marija},
	year = {2012},
	keywords = {ALGORITHMS, BANDWIDTHS, QUALITY of service, SELF-adaptive software, Software architecture, software deployment},
	pages = {73--100},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\QVSMQH39\\Malek et al. - 2012 - An Extensible Framework for Improving a Distribute.pdf:application/pdf}
}

@misc{gustavo_fernandez_vision_2016,
	title = {Visión general de una arquitectura de microservicios basada en yarn},
	url = {http://www.zylk.net/es/web/guest/web-2-0/blog/-/blogs/vision-general-de-una-arquitectura-de-microservicios-basada-en-yarn},
	author = {{Gustavo Fernandez}},
	month = nov,
	year = {2016}
}

@article{khan_software_2015,
	title = {Software {Performance} {Evaluation} {Utilizing} {UML} {Specification} and {SRN} {Model} and {Their} {Formal} {Representation}},
	volume = {10},
	issn = {1796217X},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=103400717&lang=es&site=ehost-live},
	doi = {10.17706/jsw.10.5.499-523},
	abstract = {Performance assessment should be included in the software development process to ensure the quality of the software in operation. Hence, this paper introduces a performance modeling framework for a distributed software system that proposes a transformation process from a high level Unified Modeling Language (UML) notation to a Stochastic Reward Net (SRN) model. The model is solved for relevant performance metrics. In order to capture the system dynamics through our modeling framework, we outline a specification style that focuses on the UML collaboration and activity as reusable specification building blocks, while UML deployment diagram identifies the physical components of the system and the assignment of software artifacts to the identified system components. Efficient deployment mapping of software components on the available physical resources of the system is investigated by deriving the cost function. The UML specification presented in this work facilitates to delineate the complete behavior of the system components according to the functionalities they offer and has been utilized as input for model transformation. The paper describes the mapping rules for defining the transformation process from the UML model to the SRN model. In addition, the tool support of the framework is introduced that ensures automatic translation from UML to SRN model and evaluation of the SRN model. The applicability of our framework is demonstrated in the context of performance modeling of distributed systems.},
	number = {5},
	urldate = {2016-07-11},
	journal = {Journal of Software (1796217X)},
	author = {Khan, Razib Hayat and Heegaard, Poul E.},
	month = may,
	year = {2015},
	keywords = {COMPUTER software development, COST functions (Optimization), MATHEMATICAL models, Performance, reusability, service deployment, SRN, TRANSFORMATIONS (Mathematics), UML, UML (Computer science)},
	pages = {499--523},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\43PHUA5I\\Khan y Heegaard - 2015 - Software Performance Evaluation Utilizing UML Spec.pdf:application/pdf}
}

@misc{gustavo_fernandez_avro_2015,
	title = {Avro {RCP} yarn and slider {II}},
	url = {http://www.zylk.net/es/web/guest/web-2-0/blog/-/blogs/avro-rcp-yarn-and-slider-ii},
	journal = {El blog de zylk.net},
	author = {{Gustavo Fernandez}},
	month = feb,
	year = {2015}
}

@book{babar_agile_2013,
	title = {Agile {Software} {Architecture}: {Aligning} {Agile} {Processes} and {Software} {Architectures}},
	publisher = {Newnes},
	author = {Babar, Muhammad Ali and Brown, Alan W and Mistrík, Ivan},
	year = {2013}
}

@misc{_2_????,
	title = {2 2 estilos arquitectonicos},
	url = {http://es.slideshare.net/landeta_p/2-2-estilos-arquitectonicos},
	urldate = {2016-02-20}
}

@book{valdivieso_psicologidificultades_1994,
	series = {El {Sembrador}},
	title = {Psicología de las dificultades del aprendizaje escolar: introducción a la educación especial},
	isbn = {978-956-11-0922-3},
	url = {https://books.google.com.ec/books?id=sSmxANViITQC},
	publisher = {Editorial Universitaria},
	author = {Valdivieso, L.B.},
	year = {1994}
}

@misc{microxchg_microxchg_????,
	title = {{microXchg} 2016 - {Rodrigue} {Schaefer} : {From} monolith to microservices},
	shorttitle = {{microXchg} 2016 - {Rodrigue} {Schaefer}},
	url = {https://www.youtube.com/watch?v=I9zpROdDf48},
	abstract = {"In this talk, Head of Engineering Rodrigue Schaefer will discuss some of the challenges of Zalando's transition from monolith to microservices and how the company’s engineering team has tackled them through a combination of organizational decisions and development of new tools. He’ll discuss Zalando’s open-source PaaS framework STUPS (stups.io), which was built in-house to enable multiple teams to use the full power of AWS without scarifying vital aspects like security, traceability and architectural standards. Docker has played a key role in this architectural transformation and helps us to realize an easy and robust deployment process. 
Rodrigue will also discuss how Zalando engineers are taking a microservices approach to front-end as well as back-end, through a rebuild of the company’s “shop”—the unit that includes our 15 country-specific, customer-facing websites. He’ll describe how the team is using tools like Hystrix and various resilience libraries to manage its growing microservices ecosystem. Finally, he’ll explain how microservices has enabled Zalando’s tech team to achieve a culture of autonomy, mastery and purpose that encourages innovation and experimentation."},
	urldate = {2016-02-19},
	author = {{microXchg}},
	keywords = {YouTube Editor}
}

@article{amaral_performance_2015,
	title = {Performance {Evaluation} of {Microservices} {Architectures} using {Containers}},
	url = {http://arxiv.org/abs/1511.02043},
	abstract = {Microservices architecture has started a new trend for application development for a number of reasons: (1) to reduce complexity by using tiny services; (2) to scale, remove and deploy parts of the system easily; (3) to improve flexibility to use different frameworks and tools; (4) to increase the overall scalability; and (5) to improve the resilience of the system. Containers have empowered the usage of microservices architectures by being lightweight, providing fast start-up times, and having a low overhead. Containers can be used to develop applications based on monolithic architectures where the whole system runs inside a single container or inside a microservices architecture where one or few processes run inside the containers. Two models can be used to implement a microservices architecture using containers: master-slave, or nested-container. The goal of this work is to compare the performance of CPU and network running benchmarks in the two aforementioned models of microservices architecture hence provide a benchmark analysis guidance for system designers.},
	urldate = {2016-02-24},
	journal = {arXiv:1511.02043 [cs]},
	author = {Amaral, Marcelo and Polo, Jordà and Carrera, David and Mohomed, Iqbal and Unuvar, Merve and Steinder, Malgorzata},
	month = nov,
	year = {2015},
	note = {arXiv: 1511.02043},
	keywords = {Computer Science - Distributed, Parallel, and Cluster Computing},
	file = {arXiv\:1511.02043 PDF:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\XNBB3C8A\\Amaral et al. - 2015 - Performance Evaluation of Microservices Architectu.pdf:application/pdf;arXiv.org Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\RPED3IC8\\1511.html:text/html}
}

@misc{_arquitecturas_????,
	title = {Arquitecturas de microservicios  -  {Codemotion} 2014},
	url = {http://es.slideshare.net/ErnestoHernandezRodriguez/arquitecturas-de-microservicios-codemotion-2014},
	urldate = {2016-02-17},
	file = {arquitecturasdemicroservicios-codemotion-141123133136-conversion-gate02.pdf:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\GGGPJ8A4\\arquitecturasdemicroservicios-codemotion-141123133136-conversion-gate02.pdf:application/pdf}
}

@article{mears_bea_2006,
	title = {{BEA} focuses on flexible, collaborative {SOA}},
	volume = {23},
	issn = {08877661},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=22498781&lang=es&site=ehost-live},
	abstract = {The article reports that the U.S.-based software provider BEA Systems Inc., launches SOA 360, a new platform and approach toward deploying service-oriented applications during its BEAWorld Conference. It uses a lightweight Web services standard in which the company called as microService Architecture. Three products from BEA can be integrated by customers through SOA 360 including WebLogic, used for creating Java-based applications and Web services, AquaLogic, manages and configures SOA applications and the company's Tuxedo, used to create transaction-based applications.},
	number = {37},
	urldate = {2016-07-11},
	journal = {Network World},
	author = {Mears, Jennifer},
	month = sep,
	year = {2006},
	keywords = {APPLICATION service providers, BEA Systems Inc., COMPUTER service industry, COMPUTER software developers, COMPUTER software development, COMPUTER software industry -- Congresses, COMPUTER systems, NEW product development, UNITED States},
	pages = {35--35},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\UCMKEXE8\\Mears - 2006 - BEA focuses on flexible, collaborative SOA.pdf:application/pdf}
}

@misc{_microservices_????-2,
	title = {Microservices, {DevOps} and {PaaS} - {The} {Impact} on {Modern} {Java} {EE} {Architecture}},
	url = {http://www.infoq.com/news/2015/11/eisele-microservices?utm_source=infoq&utm_medium=related_content_link&utm_campaign=relatedContent_news_clk},
	abstract = {InfoQ sat down with Markus Eisele, developer advocate at Red Hat, at the Devoxx BE conference, and asked about his thoughts on implementing microservice architectures within large-scale enterprise organisations. The conversation was primarily based on his recent O'Reilly mini-book publication, “Modern Java EE Design Patterns: Building Scalable Architecture for Sustainable Enterprise Development".},
	urldate = {2016-02-19},
	journal = {InfoQ},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\V2HMISP2\\eisele-microservices.html:text/html}
}

@article{killalea_hidden_2016,
	title = {The {Hidden} {Dividends} of {Microservices}},
	issn = {15427730},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=116421712&lang=es&site=ehost-live},
	abstract = {The article focuses on microservices, which deals with architecture for the construction of distributed software systems. It discusses the benefits of increased business agility and developer productivity, according to the software engineer and author Robert C. Martin's single responsibility principle. It also presents dividends for microservices including permissionless innovation, deprecations, and centralized metadata.},
	urldate = {2016-07-11},
	journal = {ACM Queue},
	author = {Killalea, Tom},
	month = jun,
	year = {2016},
	keywords = {DISTRIBUTED computing -- Software, MARTIN, Robert C., METADATA, PRODUCTION (Economic theory), TECHNOLOGICAL innovations},
	pages = {1--10},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\8SBT9GW5\\Killalea - 2016 - The Hidden Dividends of Microservices.pdf:application/pdf}
}

@article{kang_architecture-based_2014,
	title = {Architecture-{Based} {Planning} of {Software} {Evolution}},
	volume = {24},
	issn = {02181940},
	url = {http://search.ebscohost.com/login.aspx?direct=true&db=iih&AN=96665796&lang=es&site=ehost-live},
	doi = {10.1142/S0218194014500090},
	abstract = {Software architecture allows us to make many decisions about a software system and analyze it even before it has been implemented, so as to make planned development possible. Similarly, architecture-based software evolution planning makes planned evolution possible by allowing us to make many decisions about the evolution of a software system and to analyze its evolution at the level of architecture design before software evolution is realized. In this paper, we develop a framework for architecture-based software evolution planning. It is done by defining various foundational terms and concepts, providing a taxonomy of software evolution plans, and then showing how to calculate values for various types of plans. By identifying and defining constituent foundational concepts, this conceptual framework makes precise the notion of "architecture-based software planning". By developing a value-calculation framework for software evolution plans, it also provides a basis for concrete methods for designing and evaluating evolution plans.},
	number = {2},
	urldate = {2016-07-11},
	journal = {International Journal of Software Engineering \& Knowledge Engineering},
	author = {Kang, Sungwon and Garlan, David},
	month = mar,
	year = {2014},
	keywords = {architecture-based evolution planning, architecture-based software evolution, COMPUTER software development, CONCEPTUAL design, DECISION making, Software architecture, Software evolution, SOFTWARE frameworks},
	pages = {211--241},
	file = {EBSCO Full Text:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\TXV65JEH\\Kang y Garlan - 2014 - Architecture-Based Planning of Software Evolution.pdf:application/pdf}
}

@misc{testing_que_2015,
	title = {¿{Qué} es eso de los microservicios?},
	url = {http://www.javiergarzas.com/2015/06/microservicios.html},
	abstract = {No sé si habrás oído hablar del término “microservicio”, o de que una aplicación sigue una arquitectura de microservicios. Tanto si lo conoces pero no sabes realmente lo que es, como si no lo habías oído nunca, este es tu post. Microservicios es un tema muy actual y es muy probable que cada vez más [...]},
	urldate = {2016-02-18},
	journal = {Javier Garzás},
	author = {testing, Ana M. del Carmen García OterinoIngeniera Software QA at BQhttps://www linkedin com/in/amgarciaoApasionada por la calidad del softwarey buenas prácticas en general Especializada en and Continua, Automatización De Pruebas E. Integración},
	month = jun,
	year = {2015},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\ANXB4WNV\\testing and Continua - 2015 - ¿Qué es eso de los microservicios.html:text/html}
}

@article{sneps-sneppe_micro-service_2014,
	title = {Micro-service {Architecture} for {Emerging} {Telecom} {Applications}},
	volume = {2},
	copyright = {Copyright (c)},
	issn = {2307-8162},
	url = {http://injoit.ru/index.php/j1/article/view/161},
	language = {en},
	number = {11},
	urldate = {2016-02-24},
	journal = {International Journal of Open Information Technologies},
	author = {Sneps-Sneppe, Manfred and Namiot, Dmitry},
	month = nov,
	year = {2014},
	pages = {34--38},
	file = {Full Text PDF:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\PZKXGGA9\\Sneps-Sneppe y Namiot - 2014 - Micro-service Architecture for Emerging Telecom Ap.pdf:application/pdf;Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\QA3VUIM5\\119.html:text/html}
}

@misc{_divide_????-1,
	title = {Divide y {Vencerás}: introducción a los {Microservicios}},
	url = {http://es.slideshare.net/ThoughtWorks/microservicios},
	urldate = {2017-01-25},
	file = {Divide y Vencerás\: introducción a los Microservicios:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\P39CG88E\\microservicios.html:text/html}
}

@misc{_devops_????,
	title = {Devops, microservicios, autoescalado y desarrollo de apps: las claves del éxito de {Amazon} - {Paradigma}},
	url = {https://www.paradigmadigital.com/dev/devops-microservicios-autoescalado-desarrollo-apps-las-claves-del-exito-amazon/},
	urldate = {2017-01-25},
	file = {Devops, microservicios, autoescalado y desarrollo de apps\: las claves del éxito de Amazon - Paradigma:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\23TMQDW9\\devops-microservicios-autoescalado-desarrollo-apps-las-claves-del-exito-amazon.html:text/html}
}

@misc{_integracion_????,
	title = {Integración y entrega continua empresarial con microservicios y contenedores {\textbar} {SG}},
	url = {https://sg.com.mx/sgnext/2016/sesion/integraci-n-y-entrega-continua-empresarial-microservicios-y-contenedores#.WIgz8lw4s5F},
	urldate = {2017-01-25},
	file = {Integración y entrega continua empresarial con microservicios y contenedores | SG:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\NA6BVT7V\\integraci-n-y-entrega-continua-empresarial-microservicios-y-contenedores.html:text/html}
}

@misc{_integracion_????-1,
	title = {Integración {Continua} · {ISIS} 2603 {Desarrollo} de {Software} en {Equipos}},
	url = {https://csw-uniandes.gitbooks.io/isis2603-desarrollo-de-software-en-equipos/content/temas/integracioncontinua/integracioncontinua.html},
	urldate = {2017-01-25},
	file = {Integración Continua · ISIS 2603 Desarrollo de Software en Equipos:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\8545ZER7\\integracioncontinua.html:text/html}
}

@misc{_que_????,
	title = {¿{Qué} es la arquitectura web? {\textbar} daniloaz.com},
	url = {http://www.daniloaz.com/es/que-es-la-arquitectura-web/},
	urldate = {2017-01-25},
	file = {¿Qué es la arquitectura web? | daniloaz.com:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\FZVQ5MRH\\que-es-la-arquitectura-web.html:text/html}
}

@misc{_monoliths_????,
	title = {From {Monoliths} to {Microservices}: {An} {Architectural} {Strategy} - {The} {New} {Stack}},
	url = {http://thenewstack.io/from-monolith-to-microservices/},
	urldate = {2017-01-26},
	file = {From Monoliths to Microservices\: An Architectural Strategy - The New Stack:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\VTMST6CP\\from-monolith-to-microservices.html:text/html}
}

@misc{_monolith_????-1,
	title = {From {Monolith} to {Microservices}},
	url = {https://www.atlassian.com/atlascamp/2016/archives/developer-best-practices/from-monolith-to-microservices},
	urldate = {2017-01-26},
	journal = {Atlassian},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\5PBNTH2V\\from-monolith-to-microservices.html:text/html}
}

@book{_microservices_????-3,
	title = {Microservices {From} {Day} {One} - {Build} robust and scalable {Software} from the start},
	url = {http://www.apress.com/la/book/9781484219362},
	abstract = {Learn what a microservices architecture is, its advantages, and why you should consider using one when starting a new application. The book describes how...},
	urldate = {2017-01-26},
	file = {Snapshot:C\:\\Users\\Daniel\\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\23n3ab2s.default\\zotero\\storage\\94QAM77K\\9781484219362.html:text/html}
}

@book{carneiro_microservices_2016,
	address = {Berkeley, CA},
	title = {Microservices {From} {Day} {One}},
	isbn = {978-1-4842-1936-2 978-1-4842-1937-9},
	url = {http://link.springer.com/10.1007/978-1-4842-1937-9},
	language = {en},
	urldate = {2017-01-26},
	publisher = {Apress},
	author = {Carneiro, Cloves and Schmelmer, Tim},
	year = {2016}
}